Main Page Class Hierarchy Data Structures File List Data Fields Globals

# CPVUserInputAlphanumeric Class Reference

`#include <pv_2way_h324m_types.h>`

Inheritance diagram for CPVUserInputAlphanumeric:

## Public Methods
OSCL_IMPORT_REF | CPVUserInputAlphanumeric (uint8 *apInput, uint16 aLen)
OSCL_IMPORT_REF | ~CPVUserInputAlphanumeric ()
OSCL_IMPORT_REF PV2WayUserInputType | GetType ()
OSCL_IMPORT_REF uint8 * | GetInput ()
OSCL_IMPORT_REF uint16 | GetLength ()
## Protected Attributes
uint8 * | ipInput
uint16 | iLength

## Detailed Description

CPVUserInputAlphanumeric Class

CPVUserInputAlphanumeric class contains an alphanumeric string from an H.245 UserInputIndication message.

## Constructor & Destructor Documentation

OSCL_IMPORT_REF CPVUserInputAlphanumeric::CPVUserInputAlphanumeric | ( | uint8 * | apInput,
|  | uint16 | aLen
| ) |

  | Constructor of CPVUserInputAlphanumeric class. Parameters:
  apInput | The input alphanumeric string (T.50 encoded).
  aLen | The lenght of alphanumeric string in bytes
Returns: none @leave This method can leave with one of the following error codes OsclErrGeneral memory copy failed

OSCL_IMPORT_REF CPVUserInputAlphanumeric::~CPVUserInputAlphanumeric | ( |  | ) |

| Destructor.

## Member Function Documentation

OSCL_IMPORT_REF uint8* CPVUserInputAlphanumeric::GetInput | ( |  | ) |

| Return the user input alphanumeric user input Returns: Returns pointer to alphanumeric user input.

OSCL_IMPORT_REF uint16 CPVUserInputAlphanumeric::GetLength | ( |  | ) |

| Return the size of alphanumeric user input Returns: Returns size of alphanumeric user input.

OSCL_IMPORT_REF PV2WayUserInputType CPVUserInputAlphanumeric::GetType | ( |  | ) | `[virtual]`

| Virtual function to return the user input type Implements CPVUserInput.

## Field Documentation

uint16 CPVUserInputAlphanumeric::iLength`[protected]`

uint8* CPVUserInputAlphanumeric::ipInput`[protected]`

| The input alphanumeric string.

The documentation for this class was generated from the following file:

- pv_2way_h324m_types.h